A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Namespaces | Functions
cuda.h File Reference
`#include <af/defines.h>`
`#include <af/exception.h>`

Go to the source code of this file.

## Namespaces
namespace | afcu

## Functions
AFAPI af_err | afcu_get_stream (cudaStream_t *stream, int id)
| This file contain functions that apply only to the CUDA backend.
AFAPI af_err | afcu_get_native_id (int *nativeid, int id)
| Get the native device id of the CUDA device with `id` in ArrayFire context.
AFAPI af_err | afcu_set_native_id (int nativeid)
| Set the CUDA device with given native id as the active device for ArrayFire.
AFAPI af_err | afcu_cublasSetMathMode (cublasMath_t mode)
| Sets the cuBLAS math mode for the internal handle.
static cudaStream_t | getStream (int id)
| Get the stream for the CUDA device with `id` in ArrayFire context.
static int | getNativeId (int id)
| Get the native device id of the CUDA device with `id` in ArrayFire context.
static void | setNativeId (int nativeId)
| Set the CUDA device with given native id as the active device for ArrayFire.